
results_dir: results

weather_dir: weather

html_dir: html

start_date: 2015-01-01
end_date: yesterday

force_restart_date: 2024-04-01

countries: [DE]

time_zone:
  DE: Europe/Berlin

vre_techs: [pv, onshore, offshore, hydro]


# in GW or GWh
# from https://www.energy-charts.info/charts/installed_power/chart.htm
historical_capacities:
  DE:
    2014-12-31:
      onshore : 37.6
      pv : 37.9
      offshore : 1.
      hydro: 4.0
    2015-12-31:
      onshore : 41.3
      pv : 39.2
      offshore : 3.3
      hydro: 3.9
    2016-12-31:
      onshore : 45.3
      pv : 40.7
      offshore : 4.2
      hydro: 4.0
    2017-12-31:
      onshore : 50.2
      pv : 42.3
      offshore : 5.4
      hydro: 3.8
    2018-12-31:
      onshore : 52.3
      pv : 45.2
      offshore : 6.4
      hydro: 3.9
    2019-12-31:
      onshore : 53.2
      pv : 48.9
      offshore : 7.6
      hydro: 4.9
    2020-12-31:
      onshore : 54.3
      pv : 54.4
      offshore : 7.8
      hydro: 4.9
    2021-12-31:
      onshore : 55.9
      pv : 60.1
      offshore : 7.8
      hydro: 4.9
    2022-12-31:
      onshore : 58.0
      pv : 67.6
      offshore : 8.2
      hydro: 4.9
    2023-12-30:
      onshore : 60.7
      pv : 80.7
      offshore : 8.4
      hydro: 4.9

#https://www.gesetze-im-internet.de/eeg_2014/__4.html
targets:
  DE:
    2030:
      onshore: 115
      pv: 215
      offshore: 30
    2040:
      onshore: 160
      pv: 400
      offshore: 55-60



solver_logfile: myopic.log
#order of preference
solver_names: [gurobi,cbc]
solver_options:
  gurobi:
    BarConvTol: 1.0e-08
    crossover: 0
    method: 2
    threads: 4
  highs:
    threads: 4
    solver: ipm
    run_crossover: "off"
    small_matrix_value: 1e-6
    large_matrix_value: 1e9
    primal_feasibility_tolerance: 1e-5
    dual_feasibility_tolerance: 1e-5
    ipm_optimality_tolerance: 1e-4
    parallel: "on"
    random_seed: 123

  cbc:
    threads: 4

numerical_threshold: 1.e-2

weeks_to_plot: 10

days_to_plot: 10

preferred_scenario_order: [default, lessvre, lowwind, nowind, elastic]

color:
  battery charger: '#999999'
  battery discharger: '#999999'
  battery energy: '#999999'
  hydrogen electrolyser: cyan
  hydrogen turbine: red
  hydrogen energy: magenta
  "today's demand": k
  load shedding: k
  load decrease: '#ff99ff'
  load increase: '#ff99ff'
  offshore wind: '#5D83A4'
  onshore wind: '#3B6182'
  solar PV: '#FFFF00'
  hydroelectricity: green
  pumped hydro charger: '#DAF7A6'
  pumped hydro discharger: '#DAF7A6'
  pumped hydro energy: '#DAF7A6'
  conventional: '#834333'
  other: '#834333'
  bev demand: '#40E0D0'
  bev charger: '#40E0D0'
  heat pumps: '#90EE90'

# short-term storage (e.g. battery or pumped hydro) SOC at end of day will be valued
# by this multiplied with hydrogen turbine output value
# it's less than one so that H2 turbine from current day is displaced rather than tomorrow
dayahead_discount_factor: 0.9

# daily mean temperature below which there is space heating [C]
heating_temperature_threshold: 15

# hot water fraction of heating demand
hot_water_fraction: 0.25

# [C]
heat_pump_supply_temperature: 45

# [kW_el]
heat_pump_power: 5

# [MWh_th/a]
heat_pump_demand_yearly: 20

# [p.u. of nominal/h]
heat_pump_ramping: 0.2

# [kWh_th]
heat_storage_per_heat_pump: 10

# fraction energy SOC loss per hour
heat_storage_standing_loss: 0.01

# [MWh_el/a]
bev_demand_yearly: 2

# [kW_el]
bev_charger_power: 11

# available to system for flexible charging [kWh_el]
bev_battery_size: 25

# hourly demand per hour
bev_ramping: 3

# [hour of day UTC]
bev_charge_end_hour: 6
bev_charge_start_hour: 18

# add noise on converter efficiencies to stabilise results
hydrogen_converter_efficiency_noise: 0.01
hydrogen_converter_degeneracy: 5